package de.renew.formalism.fs;

import de.renew.unify.*;
import fs.*;

public class FSAtFunction implements Function {
  String feat;

  public FSAtFunction(String feat) {
    this.feat=feat;
  }

  public Object function(Object param) throws Impossible {
    try {
      return ((FeatureStructure)param).at(feat);
    }
    catch (Exception e) {
      throw new Impossible("No such feature: "+feat+".");
    }
  }
}
