package de.renew.formalism.java;

import de.renew.simulator.*;

public class TypedExpression {
  private Expression expr;
  private Class type;

  public TypedExpression(Class type, Expression expr) {
    this.expr=expr;
    this.type=type;
  }

  public Expression getExpression() { 
    return expr; 
  }

  public Class getType() {
    return type;
  }

  public boolean isTyped() {
    return type!=de.renew.util.Types.UNTYPED;
  }
}
