package de.renew.function;

import de.renew.unify.*;

public class ArrayFunction implements de.renew.unify.Function {
  public final static de.renew.unify.Function FUN=new ArrayFunction();

  private ArrayFunction() {}

  public Object function(Object param) throws Impossible {
    Tuple tuple=(Tuple)param;
    if (tuple.getArity()!=2) {
      throw new Impossible();
    }

    try {
      Object arr=tuple.getComponent(0);
      Object idx=Executor.unvalueAndCast(tuple.getComponent(1),Integer.TYPE);
      return Executor.possiblyWrap(
        java.lang.reflect.Array.get(arr,((Integer)idx).intValue()),
	arr.getClass().getComponentType().isPrimitive());
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}
