/*
 * @(#)CPNSelectionTool.java 5.1
 *
 */

package de.renew.gui;

import java.awt.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.standard.*;
import CH.ifa.draw.figures.*;

class CPNSelectionTool extends SelectionTool {
  public CPNSelectionTool(CPNApplication application) {
    super(application);
  }

  protected boolean alternateInspectFigure(Figure f) {
     if (f instanceof InscribableFigure) {
        InscribableFigure inf=(InscribableFigure)f;
	CPNTextFigure child=new CPNTextFigure();
	child.setParent(inf);
	Point p=view().lastClick();
	child.displayBox(p,new Point(p.x+10,p.y+10));
	((TextHolder)child).setText(inf.getDefaultInscription());
	child.setAttribute("TextType",new Integer(CPNTextFigure.INSCRIPTION));
	drawing().add(child);
	view().clearSelection();
	view().addToSelection(child);
	return true;
     } else {
        return super.alternateInspectFigure(f);
     }
  }

}
