package de.renew.shadow;

import collections.*;

public abstract class ShadowInscribable extends ShadowNetElement {
  UpdatableSet elements;

  ShadowInscribable(ShadowNet shadowNet) {
    super(shadowNet);
    elements=new HashedSet();
  }

  void add(ShadowNetElement element) {
    elements.include(element);
  }
  void remove(ShadowNetElement element) {
    elements.exclude(element);
  }

  public abstract void discard();

  public CollectionEnumeration elements() {
    return elements.elements();
  }
}
