package de.renew.simulator;

import collections.*;
import de.renew.unify.Tuple;

public class DownlinkInscription implements OccurrableInscription {
  String name;
  Expression params;
  Expression callee;
  boolean isOptional;

  public DownlinkInscription(String name, Expression params,
    Expression callee, boolean isOptional)
  {
    this.name=name;
    this.params=params;
    this.callee=callee;
    this.isOptional=isOptional;
  }

  public InscriptionOccurrence makeOccurrence(VariableMapper mapper,
    NetInstance netInstance)
  {
    return new DownlinkOccurrence(this,mapper);
  }
}
