package de.renew.simulator;

import collections.*;
import de.renew.unify.*;

public interface ExecutableOccurrence extends InscriptionOccurrence {
  // Provide an enumeration of executable objects that will
  // perform the neccessary actions for this inscription occurrence.
  // At this point, such executables must be available,
  // i.e. all binders have agreed on the current binding.
  CollectionEnumeration makeExecutables(Copier copier,
    VariableMapper copiedMapper);
}
