package de.renew.simulator;

import collections.*;
import de.renew.unify.Impossible;

public interface LateExecutable extends Executable {
  // Get the phase during which this executable should execute.
  // Must be greater than 0.
  long phase();

  // Returns true, if this executable might take a long time to
  // execute.
  boolean isLong();
}
