package de.renew.simulator;

import collections.*;

class TestTokenLister implements TokenLister {
  PlaceInstance placeInstance;

  TestTokenLister(PlaceInstance placeInstance) {
    this.placeInstance=placeInstance;
  }

  public CollectionEnumeration getDistinctTokens(Object pattern) {
    return placeInstance.getDistinctTestableTokens(pattern);
  }

  public void lock() {
    placeInstance.lock.lock();
  }

  public void unlock() {
    placeInstance.lock.unlock();
  }
}
