package de.renew.util;

import java.util.Hashtable;

// I attach one thread to another until the other thread
// requires me to detach it. The attach call must precede
// the detach call.

public class Detacher {
  private static Hashtable attachedThreads=new Hashtable();

  public final static void startAttached(Thread thread) {
    Semaphor lock=new Semaphor();
    synchronized(attachedThreads) {
      attachedThreads.put(thread,lock);
    }
    thread.start();
    lock.P();
  }

  public final static void detach() {
    Thread thread=Thread.currentThread();
    synchronized(attachedThreads) {
      Semaphor lock=(Semaphor)attachedThreads.get(thread);
      if (lock!=null) {
	lock.V();
	attachedThreads.remove(thread);
      }
    }
  }
}
