package de.renew.formalism.fs;

import de.renew.shadow.SyntaxException;
import de.renew.formalism.java.*;

public class FSNetCompiler extends JavaNetCompiler {
  static final long serialVersionUID = 2620161629495693116L;

  protected InscriptionParser makeParser(String inscr) {
    return new FSNetParser(new java.io.StringReader(inscr));
  }

  protected TypedExpression parseArcInscription(String inscr,
    ParsedDeclarationNode declaration) throws SyntaxException
  {
    if (inscr==null || inscr.equals("")) {
      inscr="[]";
    }
    return super.parseArcInscription(inscr,declaration);
  }

}
