package de.renew.function;

import java.lang.reflect.*;
import de.renew.unify.*;

public class ArrayWriteFunction implements de.renew.unify.Function {
  public final static de.renew.unify.Function FUN=new ArrayWriteFunction();

  private ArrayWriteFunction() {}

  public Object function(Object param) throws Impossible {
    Tuple tuple=(Tuple)param;
    if (tuple.getArity()!=3) {
      throw new Impossible();
    }

    try {
      Object arr=tuple.getComponent(0);
      Object idx=Executor.unvalueAndCast(tuple.getComponent(1),Integer.TYPE);
      Object value=Executor.unvalueAndCast(tuple.getComponent(2),
	arr.getClass().getComponentType());

      Array.set(arr,((Integer)idx).intValue(),
        Executor.unvalueAndCast(value,arr.getClass().getComponentType()));

      return value;
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}
