package de.renew.gui;

import java.util.Enumeration;
import java.util.Hashtable;
import CH.ifa.draw.framework.*;
import de.renew.shadow.*;
import de.renew.simulator.*;

public class FigureLookup {
  private Hashtable map;

  public FigureLookup(ShadowLookup shadowLookup) {
    map=new Hashtable();

    Enumeration places=shadowLookup.allPlaces();
    while (places.hasMoreElements()) {
      ShadowPlace shadowPlace=(ShadowPlace)places.nextElement();
      Place place=shadowLookup.get(shadowPlace);
      map.put(shadowPlace.context,place);
    }

    Enumeration transitions=shadowLookup.allTransitions();
    while (transitions.hasMoreElements()) {
      ShadowTransition shadowTransition=(ShadowTransition)transitions.nextElement();
      Transition transition=shadowLookup.get(shadowTransition);
      map.put(shadowTransition.context,transition);
    }

  }
  
  public Place get(PlaceFigure figure) {
    return (Place)map.get(figure);
  }

  public Transition get(TransitionFigure figure) {
    return (Transition)map.get(figure);
  }

}
