package de.renew.shadow;

import collections.*;

public class ShadowInscription extends ShadowNetElement {
  static final long serialVersionUID = -8570259322392235092L;

  public final ShadowInscribable inscribable;
  public final String inscr;
  boolean trace;
  
  public ShadowInscription(ShadowInscribable inscribable, String inscr) {
    super(inscribable.getNet());
    this.inscribable=inscribable;
    this.inscr=inscr;
    inscribable.add(this);
  }

  public void setTrace(boolean trace) {
    if (this.trace!=trace) {
      this.trace=trace;
    }
  }

  public boolean getTrace() {
    return trace;
  }

  public void discard() {
    inscribable.remove(this);
  } 
}
