package de.renew.simulator;

import collections.*;

class CollectingFinder implements Finder {
  private UpdatableSeq bindings=new LinkedList();

  public void found(Searcher searcher) {
    bindings.insertFirst(new Binding(searcher));
  }

  // I will never be satisfied with the bindings that I have collected.
  public boolean isCompleted() {
    return false;
  }

  public CollectionEnumeration bindings() {
    return bindings.elements();
  }
}
