package de.renew.simulator;

public class ConditionalInscription implements OccurrableInscription {
  Expression conditionExpression;
  OccurrableInscription inscription;

  public ConditionalInscription(Expression conditionExpression,
    OccurrableInscription inscription)
  {
    this.conditionExpression=conditionExpression;
    this.inscription=inscription;
  }

  public InscriptionOccurrence makeOccurrence(VariableMapper mapper,
    NetInstance netInstance)
  {
    return new ConditionalOccurrence(this,mapper,netInstance);
  }
}
