package de.renew.simulator;

import collections.*;

public class CreationInscription implements OccurrableInscription {
  private Net net;
  private LocalVariable createVariable;

  public CreationInscription(Net net, LocalVariable createVariable)
  {
    this.net=net;
    this.createVariable=createVariable;
  }

  public InscriptionOccurrence makeOccurrence(VariableMapper mapper,
    NetInstance netInstance)
  {
    return new CreationOccurrence(mapper.map(createVariable),net);
  }
}
