package de.renew.simulator;

import collections.*;
import de.renew.unify.*;
import de.renew.util.EmptyEnumeration;

class ExpressionOccurrence implements InscriptionOccurrence {
  ExpressionInscription expressionInscription;
  VariableMapper mapper;

  ExpressionOccurrence(ExpressionInscription expressionInscription,
    VariableMapper mapper)
  {
    this.expressionInscription=expressionInscription;
    this.mapper=mapper;
  }
  
  public CollectionEnumeration makeBinders(Searcher searcher)
    throws Impossible
  {
    expressionInscription.expression.startEvaluation(mapper,
      searcher.recorder,searcher.calcChecker);
    // That's it. No binders required.
    return new EmptyEnumeration();
  }
}
